% same as gamblevalues.m, but in terms of first and second offers rather
% than left and right
function [firstValues,secondValues] = gamblevalues(celldata)
vars = celldata.vars;
firstValues = NaN(size(vars,1),3);
secondValues = NaN(size(vars,1),3);
% determine which offer came first. 1: left, 2: right
firstOffer = vars(:,15);

[leftValues,rightValues] = gamblevalues2(celldata);
firstValues = leftValues;
firstValues(firstOffer==2,:) = rightValues(firstOffer==2,:);
secondValues = rightValues;
secondValues(firstOffer==2,:) = leftValues(firstOffer==2,:);
end